saturne asks for gfortran 1.4

All questions about installation
Forum rules
Please read the forum usage recommendations before posting.
rwthler
Posts: 12
Joined: Sat Mar 15, 2014 11:40 am

saturne asks for gfortran 1.4

Post by rwthler » Sun May 31, 2015 5:59 pm

Hi!
I installed code_saturne with salome integration and it works proberly. I followed the mixing ellbow tutorial up the point where I should click the run button.

Then the disappointment:
/usr/local/apps/Code_Saturne-4.0.0/libexec/code_saturne/cs_solver: /home/christian/salome/Salome-V7_5_1-LGPL-x86_64/prerequisites/debianForSalome/lib/libgfortran.so.3: version `GFORTRAN_1.4' not found (required by /usr/local/apps/Code_Saturne-4.0.0/lib/libsaturne.so.0)

Can you help me with that? seems to be one of my last problems.

Thanks a lot

Chris
Attachments
config.log
(231.27 KiB) Downloaded 274 times

Yvan Fournier
Posts: 2638
Joined: Mon Feb 20, 2012 3:25 pm

Re: saturne asks for gfortran 1.4

Post by Yvan Fournier » Sun May 31, 2015 8:55 pm

Hello,

Did you run ldconfig as root at the end of the install ?

Otherwise, this is probably a conflict between similar versions but differently installed versions of the gfortran library in your System and in SALOME (the version from your system, used to build the code, should be used; not the one from SALOME, for its other modules).
So try adding "FC=gfortran" to your configure command.

Regards,

Yvan

rwthler
Posts: 12
Joined: Sat Mar 15, 2014 11:40 am

Re: saturne asks for gfortran 1.4

Post by rwthler » Mon Jun 01, 2015 8:02 am

Hi!
Thanks for your fast reply. I did not run ldconfig. What exactly will it do? shell I run it also when I use FC=gfortran?
I suppose that I will have to add FC=gfortran after all the
...--with-med commands?

Thanks again, I will try it after work.

Cheers

rwthler
Posts: 12
Joined: Sat Mar 15, 2014 11:40 am

Re: saturne asks for gfortran 1.4

Post by rwthler » Tue Jun 02, 2015 9:26 pm

Hey.
I added the command but still get the same result when starting the calculation. He still asks for version 1_4.

I tried to figure it out from the config.log file but did not unterstand it properly. Is there an issue with finding the gfortran version because gfortran -v does not work (--version would do)?

When I type in the terminal gfortran --version I get


gfortran --version
GNU Fortran (Ubuntu 4.8.2-19ubuntu1) 4.8.2
Copyright (C) 2013 Free Software Foundation, Inc.

GNU Fortran comes with NO WARRANTY, to the extent permitted by law.
You may redistribute copies of GNU Fortran
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING
Thanks for further hints.

Chris
Attachments
config.log
(220.17 KiB) Downloaded 275 times

Yvan Fournier
Posts: 2638
Joined: Mon Feb 20, 2012 3:25 pm

Re: saturne asks for gfortran 1.4

Post by Yvan Fournier » Wed Jun 03, 2015 10:10 pm

Hello,

Could you indicate the output of:
ldd /usr/local/apps/Code_Saturne-4.0.0/libexec/code_saturne
When you ran configure, did you have a SALOME environment sourced ?

Also, when you reinstalled, did you completely clean the build directory ("make distclean" or destroying/recreating the directory are best) ?

Regards,

Yvan

rwthler
Posts: 12
Joined: Sat Mar 15, 2014 11:40 am

Re: saturne asks for gfortran 1.4

Post by rwthler » Tue Jun 16, 2015 11:43 am

Hi,
do you want to have the output before or after installation? I guess after.
I did not source my Salome Installation. Should I have done before installation of code_saturne?
which file do I have to source?

Thanks for your help, I would be really happy to start getting more into cs, since I really want to test the turbomachinery options.

Yvan Fournier
Posts: 2638
Joined: Mon Feb 20, 2012 3:25 pm

Re: saturne asks for gfortran 1.4

Post by Yvan Fournier » Tue Jun 16, 2015 4:27 pm

Hello,

After the installation is more important, but comparing before/after may be useful.

You do not need to source anything (the Code_Saturne installer usually does what is required), but some people may need to source the SALOME environment on some machines, so it is useful to know as a description of the environment.

Also, having the output of "env" (your environment variables) might provide useful info, especiallt for the *PATH variables.

Regards,

Yvan

rwthler
Posts: 12
Joined: Sat Mar 15, 2014 11:40 am

Re: saturne asks for gfortran 1.4

Post by rwthler » Tue Jun 16, 2015 10:25 pm

Before the installation I get following output:
env:
XDG_VTNR=7
SSH_AGENT_PID=1877
XDG_SESSION_ID=c1
GPG_AGENT_INFO=/run/user/1000/keyring-EL8RVN/gpg:0:1
TERM=xterm
SHELL=/bin/bash
VTE_VERSION=3409
XDG_SESSION_COOKIE=f4ea2893ccc2c841f02038425413604c-1434450236.575985-232999525
GJS_DEBUG_OUTPUT=stderr
WINDOWID=50331655
GNOME_KEYRING_CONTROL=/run/user/1000/keyring-EL8RVN
GJS_DEBUG_TOPICS=JS ERROR;JS LOG
USER=christian
LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:
SSH_AUTH_SOCK=/run/user/1000/keyring-EL8RVN/ssh
SESSION_MANAGER=local/christian-ZBOX-ID92-ZBOX-IQ01:@/tmp/.ICE-unix/1742,unix/christian-ZBOX-ID92-ZBOX-IQ01:/tmp/.ICE-unix/1742
USERNAME=christian
DEFAULTS_PATH=/usr/share/gconf/default.default.path
XDG_CONFIG_DIRS=/etc/xdg/xdg-default:/etc/xdg
PATH=/home/christian/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games
DESKTOP_SESSION=default
GDM_XSERVER_LOCATION=local
PWD=/usr/local/apps/Code_Saturne-4.0.0
GNOME_KEYRING_PID=1666
LANG=de_DE.UTF-8
MANDATORY_PATH=/usr/share/gconf/default.mandatory.path
MDM_XSERVER_LOCATION=local
GDMSESSION=default
CINNAMON_VERSION=2.4.8
SHLVL=1
XDG_SEAT=seat0
HOME=/home/christian
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
XDG_SESSION_DESKTOP=default
LOGNAME=christian
XDG_DATA_DIRS=/usr/share/default:/usr/share/gnome:/usr/local/share/:/usr/share/:/usr/share/mdm/
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ZD2kGc8J9A,guid=9f777f91e7fe037dbdff5408557ff93c
MDMSESSION=default
TEXTDOMAIN=im-config
WINDOWPATH=7
XDG_RUNTIME_DIR=/run/user/1000
DISPLAY=:0
MDM_LANG=de_DE.UTF-8
XDG_CURRENT_DESKTOP=X-Cinnamon
TEXTDOMAINDIR=/usr/share/locale/
COLORTERM=gnome-terminal
XAUTHORITY=/home/christian/.Xauthority
_=/usr/bin/env
OLDPWD=/usr/local/apps/Code_Saturne-4.0.0/bin

The ldd command:
ldd: /usr/local/apps/Code_Saturne-4.0.0/libexec/code_saturne: Keine reguläre Datei (means it is not a regular file)

The outputs after the installation will follow tomorrow.
Which file of the salome installation do I have to source exactly? When I wanted to open it seperately, I did it by switching to the directory. With the saturne--with-salome installation I just had to open saturne with salome

Yvan Fournier
Posts: 2638
Joined: Mon Feb 20, 2012 3:25 pm

Re: saturne asks for gfortran 1.4

Post by Yvan Fournier » Wed Jun 17, 2015 12:36 am

Hello,

I see nothing which seems to explain the issue in your variables...

Trying to think about the error, when the code fails to run, are you running the tutorial from SALOME or standalone (i.e. "code_saturne salome" or "code_saturne gui") ?

In the SALOME case, additional files are sourced, so if you have the error in both cases, I still have no explaination, but if you have it only in one of the 2 cases, we can work from there...

Regards,

Yvan

rwthler
Posts: 12
Joined: Sat Mar 15, 2014 11:40 am

Re: saturne asks for gfortran 1.4

Post by rwthler » Wed Jun 17, 2015 8:40 am

That's a good hint. I'll test all the cases end of the week and give a feedback.

Thanks again

chris

Post Reply